Type=Class
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class Square module
Sub Class_Globals
	Private mx, my, mWidth As Int
End Sub

'Initializes the Square object.
Sub Initialize (Shapes As List, x As Int, y As Int, Width As Int)
	mx = x
	my = y
	mWidth = Width
	Shapes.Add(Me)
End Sub

Sub Draw(c As Canvas)
	Private r As Rect
	r.Initialize(mx, my, mx + mWidth, my + mWidth)
	c.DrawRect(r, Colors.Red, False, 1dip)
End Sub
